Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Dec 2022 14:11:51 +0200

> Date: Wed, 21 Dec 2022 03:14:54 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 17/12/2021 10:38, Eli Zaretskii wrote:
> >> From: Lars Ingebrigtsen<[email-masked]>
> >> Cc: Dmitry Gutov<[email-masked]>,  martin rudalics<[email-masked]>,
> >>    [email-masked],[email-masked]
> >> Date: Fri, 17 Dec 2021 08:46:58 +0100
> >>
> >> Eli Zaretskii<[email-masked]>  writes:
> >>
> >>> Lars, do we make that kludge unconditionally compiled on all systems?
> >> Yes, I think that makes sense.
> > I installed the change.  Dmitry, please see if the original problem is
> > indeed fixed.
> > 
> > I will not close the bug anyway, because of the resizing issue that
> > still needs investigating.
> 
> BTW, the original problem is back now. I vaguely recall that we 
> installed the fix, but then backed out of it?

Yes, because it caused trouble.  See

  https://lists.gnu.org/archive/html/emacs-devel/2021-12/msg01643.html

> Maybe we should register that info in this bug somehow. Call it a wontfix?
> 
> Too bad the recent changes by Gregory didn't improve this scenario.

I'd actually expect Gregory's changes to fix this, and explicitly
asked him at the time to test this bug's use case; he said back then
it was fixed.  Maybe there's some misunderstanding or fine nuances?